// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_FMulticastDelegateProperty.h"
#include "UObject/UnrealType.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_FMulticastDelegateProperty::SCW_FMulticastDelegateProperty(FMulticastDelegateProperty* InMulticastDelegateProperty) : SCW_FProperty(InMulticastDelegateProperty), MulticastDelegateProperty(InMulticastDelegateProperty)
{

}

ISCW_UFunctionPtr SCW_FMulticastDelegateProperty::GetSignatureFunction() const
{
	return FSourcifyCoreUEWrapper::Get().Wrap(*MulticastDelegateProperty->SignatureFunction.Get());
}

FMulticastDelegateProperty* SCW_FMulticastDelegateProperty::ToFMulticastDelegateProperty() const
{
	return MulticastDelegateProperty;
}
